[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TEditAction.Notification

Handles the notification performed when a component is added to or removed from the class instance.

## Declaration

Source position: stdactns.pas line 40

`protected procedure TEditAction.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation performed for the component.

## Description

Calls the inherited method on entry. Ensures that the value in the Control member is set to Nil when the component is removed from the class instance.

## See also

TComponent.Notification